Bug 523395 - /usr/bin/update-packages takes long time and can be done after or before satellite outage
Summary: /usr/bin/update-packages takes long time and can be done after or before sate...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 10:32 UTC by Miroslav Suchý
Modified: 2010-01-30 03:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 14:13:41 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2009-09-15 10:32:48 UTC
Description of problem:
In rhn-upgrade documentation is step 3 (execute /usr/bin/update-packages ) during satellite shutdown. And this process take a lot of time (several hours - I usually run it over night).

We should do something about it:
It seems to me that we can run it on running satellite. Either before or after upgrade (we have to verifify)
Or we can prepare directory structure and hardlink old files to new one. And during satellite outage "only" update database to new path. And after upgrade of satellite (i.e when it is up and running) delete old files.

Or something like that.

Version-Release number of selected component (if applicable):
# rpm -qf /usr/bin/update-packages
spacewalk-backend-tools-0.5.28-34.el5sat

Comment 1 Milan Zázrivec 2009-10-26 14:13:41 UTC
There's no way you could safely do any preparations like the one you
described above (some hard linking of old files to new ones) on a running
satellite.

Conversion of filer is one of required steps for a valid upgrade to 5.3.0
and as such needs to be done as a part of the whole upgrade procedure.
Introducing any pre- or post-steps is politically and technically
unacceptable.


Note You need to log in before you can comment on or make changes to this bug.